Create a product
curl --request POST \
--url https://api.trama.so/v1/catalog/products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"capacityMax": 123,
"capacityMin": 123,
"currency": "USD",
"description": "<string>",
"durationDays": 123,
"durationHours": 123,
"excludes": [
"<string>"
],
"externalReferenceCode": "<string>",
"fromPrice": 1,
"includes": [
"<string>"
],
"operator": "<string>",
"priceBasis": "<string>",
"priceMax": 1,
"pricingMode": "per_person",
"shortDescription": "<string>",
"specialConditions": "<string>",
"status": "active",
"type": "package",
"validFrom": "2026-01-01",
"validUntil": "2026-12-31",
"variants": [
{
"label": "<string>",
"capacityMax": 123,
"capacityMin": 123,
"currency": "<string>",
"description": "<string>",
"durationDays": 123,
"excludes": [
"<string>"
],
"fromPrice": 1,
"includes": [
"<string>"
],
"priceMax": 1,
"shortDescription": "<string>",
"status": "active"
}
]
}
'import requests
url = "https://api.trama.so/v1/catalog/products"
payload = {
"title": "<string>",
"capacityMax": 123,
"capacityMin": 123,
"currency": "USD",
"description": "<string>",
"durationDays": 123,
"durationHours": 123,
"excludes": ["<string>"],
"externalReferenceCode": "<string>",
"fromPrice": 1,
"includes": ["<string>"],
"operator": "<string>",
"priceBasis": "<string>",
"priceMax": 1,
"pricingMode": "per_person",
"shortDescription": "<string>",
"specialConditions": "<string>",
"status": "active",
"type": "package",
"validFrom": "2026-01-01",
"validUntil": "2026-12-31",
"variants": [
{
"label": "<string>",
"capacityMax": 123,
"capacityMin": 123,
"currency": "<string>",
"description": "<string>",
"durationDays": 123,
"excludes": ["<string>"],
"fromPrice": 1,
"includes": ["<string>"],
"priceMax": 1,
"shortDescription": "<string>",
"status": "active"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
capacityMax: 123,
capacityMin: 123,
currency: 'USD',
description: '<string>',
durationDays: 123,
durationHours: 123,
excludes: ['<string>'],
externalReferenceCode: '<string>',
fromPrice: 1,
includes: ['<string>'],
operator: '<string>',
priceBasis: '<string>',
priceMax: 1,
pricingMode: 'per_person',
shortDescription: '<string>',
specialConditions: '<string>',
status: 'active',
type: 'package',
validFrom: '2026-01-01',
validUntil: '2026-12-31',
variants: [
{
label: '<string>',
capacityMax: 123,
capacityMin: 123,
currency: '<string>',
description: '<string>',
durationDays: 123,
excludes: ['<string>'],
fromPrice: 1,
includes: ['<string>'],
priceMax: 1,
shortDescription: '<string>',
status: 'active'
}
]
})
};
fetch('https://api.trama.so/v1/catalog/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"capacityMax": 123,
"capacityMin": 123,
"coverImage": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"currency": "<string>",
"description": "<string>",
"destinations": [
"<string>"
],
"durationDays": 123,
"durationHours": 123,
"excludes": [
"<string>"
],
"externalReferenceCode": "<string>",
"fromPrice": 123,
"gallery": [
"<string>"
],
"id": "<string>",
"includes": [
"<string>"
],
"operator": "<string>",
"priceBasis": "<string>",
"priceMax": 123,
"shortDescription": "<string>",
"specialConditions": "<string>",
"title": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"validFrom": "<string>",
"validUntil": "<string>",
"variants": [
{
"capacityMax": 123,
"capacityMin": 123,
"currency": "<string>",
"description": "<string>",
"durationDays": 123,
"durationHours": 123,
"excludes": [
"<string>"
],
"fromPrice": 123,
"id": "<string>",
"includes": [
"<string>"
],
"label": "<string>",
"position": 123,
"priceMax": 123,
"shortDescription": "<string>"
}
]
}{
"error": {
"code": "CATALOG_PRODUCT_NOT_FOUND",
"message": "The catalog product does not exist."
}
}{
"error": {
"code": "CATALOG_PRODUCT_NOT_FOUND",
"message": "The catalog product does not exist."
}
}{
"error": {
"code": "CATALOG_PRODUCT_NOT_FOUND",
"message": "The catalog product does not exist."
}
}{
"error": {
"code": "CATALOG_PRODUCT_NOT_FOUND",
"message": "The catalog product does not exist."
}
}{
"error": {
"code": "CATALOG_PRODUCT_NOT_FOUND",
"message": "The catalog product does not exist."
}
}Catalog
Create a product
POST
/
v1
/
catalog
/
products
Create a product
Authorizations
bearerAuthapiKeyHeader
The organization API key, sent as Authorization: Bearer <key>.
Body
application/json
Minimum string length:
1Available options:
economic, mid, premium, null Required string length:
3Example:
"USD"
The code the agency uses for this product in THEIR system. It is what makes syncing possible without storing Trama's ids.
Required range:
x >= 0Required range:
x >= 0Available options:
per_person, per_group, total Available options:
active, paused, draft Available options:
package, experience, expedition, custom Example:
"2026-01-01"
Example:
"2026-12-31"
Show child attributes
Show child attributes
Response
The created product.
Available options:
economic, mid, premium, null The code the agency uses for this product in THEIR system. It is what makes syncing possible without storing Trama's ids.
Available options:
per_person, per_group, total Available options:
active, paused, draft Available options:
package, experience, expedition, custom Show child attributes
Show child attributes
⌘I